export const generateAllSeats = () => {
  const rows = ['A', 'B', 'C', 'D', 'E', 'F', 'G'];
  const seats = [];
  for (let row of rows) {
    for (let i = 1; i <= 8; i++) {
      seats.push(`${row}${i}`);
    }
  }
  return seats;
};

export const mergeReservedSeats = (existing = [], newSeats = []) => {
  return Array.from(new Set([...existing, ...newSeats]));
};
